org.omg.DynamicAny

## Class NameValuePair

- java.lang.Object
- - org.omg.DynamicAny.NameValuePair

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class NameValuePair
      extends Object
      implements IDLEntity

  org/omg/DynamicAny/NameValuePair.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java8-openjdk/src/jdk8u-jdk8u45-b14/corba/src/share/classes/org/omg/DynamicAny/DynamicAny.idl Monday, April 20, 2015 5:13:54 PM UTC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `id` The name associated with the Any.
    `Any` | `value` The Any value associated with the name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameValuePair()`
    `NameValuePair(String _id, Any _value)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

      The name associated with the Any.

    - #### value

          public Any value

      The Any value associated with the name.

  - ### Constructor Detail

    - #### NameValuePair

          public NameValuePair()

    - #### NameValuePair

          public NameValuePair(String _id,
                               Any _value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.